<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HSISDKHeader_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">HSISDKHeader_t Struct Reference<div class="ingroups"><a class="el" href="group___h_s_i___h_e_a_d_e_r___u_t_i_l.html">HSI Header Utility</a> &raquo; <a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html">HSI Header Protocol</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>HSI SDK Header.  
 <a href="struct_h_s_i_s_d_k_header__t.html#details">More...</a></p>

<p><code>#include &lt;utils/hsiheader/hsiprotocol.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab2d6bdd31800d2ae3e2489c685521be2"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#ab2d6bdd31800d2ae3e2489c685521be2">version</a></td></tr>
<tr class="memdesc:ab2d6bdd31800d2ae3e2489c685521be2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Version of the mmWave SDK associated with the HSI Header. Refer to the following file mmwave_sdk_version.h for more information. The field is encoded as follows:-.  <a href="#ab2d6bdd31800d2ae3e2489c685521be2">More...</a><br /></td></tr>
<tr class="separator:ab2d6bdd31800d2ae3e2489c685521be2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231ba98a6d1a82f39727863ad616f4b5"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a231ba98a6d1a82f39727863ad616f4b5">headerSize</a></td></tr>
<tr class="memdesc:a231ba98a6d1a82f39727863ad616f4b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">In order to ensure that the entire data is streamed out there are certain size alignments which need to be enforced. This is explained in more detail in the TRM. The size of the header is thus not <em>fixed</em> and could be padded to ensure alignment. The size is specified in CBUFF Units.  <a href="#a231ba98a6d1a82f39727863ad616f4b5">More...</a><br /></td></tr>
<tr class="separator:a231ba98a6d1a82f39727863ad616f4b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae705e2f9d024ea752f7f9be4b2350a67"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#ae705e2f9d024ea752f7f9be4b2350a67">platform</a></td></tr>
<tr class="memdesc:ae705e2f9d024ea752f7f9be4b2350a67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Platform on which the HSI Header was generated.  <a href="#ae705e2f9d024ea752f7f9be4b2350a67">More...</a><br /></td></tr>
<tr class="separator:ae705e2f9d024ea752f7f9be4b2350a67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a505d6d6212786455a29d76f8737886b4"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a505d6d6212786455a29d76f8737886b4">interleavedMode</a></td></tr>
<tr class="memdesc:a505d6d6212786455a29d76f8737886b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode in which the data is being transferred.  <a href="#a505d6d6212786455a29d76f8737886b4">More...</a><br /></td></tr>
<tr class="separator:a505d6d6212786455a29d76f8737886b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6471e0366a6395aec0b7ad5edecab313"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a6471e0366a6395aec0b7ad5edecab313">dataSize</a></td></tr>
<tr class="memdesc:a6471e0366a6395aec0b7ad5edecab313"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the number of bits being transferred.  <a href="#a6471e0366a6395aec0b7ad5edecab313">More...</a><br /></td></tr>
<tr class="separator:a6471e0366a6395aec0b7ad5edecab313"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e9a1d8f98d5aec9a0e08be973740ddb"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a5e9a1d8f98d5aec9a0e08be973740ddb">dataType</a></td></tr>
<tr class="memdesc:a5e9a1d8f98d5aec9a0e08be973740ddb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the type of data being streamed.  <a href="#a5e9a1d8f98d5aec9a0e08be973740ddb">More...</a><br /></td></tr>
<tr class="separator:a5e9a1d8f98d5aec9a0e08be973740ddb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639cb5d4cf1e3c227942760ad28767ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a639cb5d4cf1e3c227942760ad28767ee"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a639cb5d4cf1e3c227942760ad28767ee">rxChannelStatus</a></td></tr>
<tr class="memdesc:a639cb5d4cf1e3c227942760ad28767ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Flag which will indicate the receive channel status on whether it is enabled or disabled </p><table class="doxtable">
<tr>
<th>Bit Number </th><th>Channel Number  </th></tr>
<tr>
<td>Bit 0 </td><td>Channel 0 </td></tr>
<tr>
<td>Bit 1 </td><td>Channel 1 </td></tr>
<tr>
<td>Bit 2 </td><td>Channel 2 </td></tr>
<tr>
<td>Bit 3 </td><td>Channel 3 </td></tr>
</table>
<br /></td></tr>
<tr class="separator:a639cb5d4cf1e3c227942760ad28767ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95bc1d881b6f944d89846b0bc3337523"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95bc1d881b6f944d89846b0bc3337523"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a95bc1d881b6f944d89846b0bc3337523">dataFmt</a></td></tr>
<tr class="memdesc:a95bc1d881b6f944d89846b0bc3337523"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the format of the data which is being streamed out. <br /></td></tr>
<tr class="separator:a95bc1d881b6f944d89846b0bc3337523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3fd701e502944e0b3370f6d076f5d73"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#ae3fd701e502944e0b3370f6d076f5d73">chirpMode</a></td></tr>
<tr class="memdesc:ae3fd701e502944e0b3370f6d076f5d73"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is used to indicate the number of chirps. Set to 1 for single chirp mode and between 2 to 8 for multiple chirp mode.  <a href="#ae3fd701e502944e0b3370f6d076f5d73">More...</a><br /></td></tr>
<tr class="separator:ae3fd701e502944e0b3370f6d076f5d73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa58cc9df1ad50fb2111e5c5553c0c7bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa58cc9df1ad50fb2111e5c5553c0c7bc"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#aa58cc9df1ad50fb2111e5c5553c0c7bc">adcDataSize</a></td></tr>
<tr class="memdesc:aa58cc9df1ad50fb2111e5c5553c0c7bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size in CBUFF Units of the ADC Data for each channel. <br /></td></tr>
<tr class="separator:aa58cc9df1ad50fb2111e5c5553c0c7bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98ea387a92dfed53df6788d45a995ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac98ea387a92dfed53df6788d45a995ae"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#ac98ea387a92dfed53df6788d45a995ae">cpDataSize</a></td></tr>
<tr class="memdesc:ac98ea387a92dfed53df6788d45a995ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size in CBUFF Units of the Chirp Profile for each channel. <br /></td></tr>
<tr class="separator:ac98ea387a92dfed53df6788d45a995ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2decbf960998356de3b44297b58d80dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2decbf960998356de3b44297b58d80dd"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a2decbf960998356de3b44297b58d80dd">cqDataSize</a> [<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga07eaec04c13d026bd714ae521e6d0d2c">HSI_HEADER_MAX_CQ</a>]</td></tr>
<tr class="memdesc:a2decbf960998356de3b44297b58d80dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size in CBUFF Units of the Chirp Quality (CQx). If the size is set to 0 then there is no CQx data present. <br /></td></tr>
<tr class="separator:a2decbf960998356de3b44297b58d80dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e6647f099664010335e31f9231c7858"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e6647f099664010335e31f9231c7858"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#a1e6647f099664010335e31f9231c7858">userBufSize</a> [<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga878d60db396d83890d9d7a0685400ee9">HSI_HEADER_MAX_USER_BUFFER</a>]</td></tr>
<tr class="memdesc:a1e6647f099664010335e31f9231c7858"><td class="mdescLeft">&#160;</td><td class="mdescRight">Size in CBUFF Units of the User Buffer. <br /></td></tr>
<tr class="separator:a1e6647f099664010335e31f9231c7858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3514b0043eb7ba9f5b1788e3224e5de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3514b0043eb7ba9f5b1788e3224e5de"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_s_i_s_d_k_header__t.html#ab3514b0043eb7ba9f5b1788e3224e5de">appExtensionHeader</a> [<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gaa055c2dd38854c9e84f11ee3ab7e8857">HSI_HEADER_MAX_APP_HDR_SIZE</a>]</td></tr>
<tr class="memdesc:ab3514b0043eb7ba9f5b1788e3224e5de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application defined extension header: This is available to the application to add an application specific <em>static</em> header. Once the headers are configured and the sessions are executing this data should not be changed. <br /></td></tr>
<tr class="separator:ab3514b0043eb7ba9f5b1788e3224e5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HSI SDK Header. </p>
<p>The HSI SDK Header is a header which provides meta-information to the receiver of the HSI stream. This information can be used to parse the stream and access the data </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="ae3fd701e502944e0b3370f6d076f5d73"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HSISDKHeader_t::chirpMode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This is used to indicate the number of chirps. Set to 1 for single chirp mode and between 2 to 8 for multiple chirp mode. </p>
<p><em>NOTE</em>: Multiple Chirp Mode is applicable only for XWR16xx </p>

</div>
</div>
<a class="anchor" id="a6471e0366a6395aec0b7ad5edecab313"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HSISDKHeader_t::dataSize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This is the number of bits being transferred. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gafd61b6251ee8dba7ca1cfdf43f27c968" title="Size of the data (16bit) being transferred streamed over the LVDS. ">HSI_HEADER_SIZE_16BIT</a> </dd>
<dd>
<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga17eb23b9653d8995a6136149e2ab0dac" title="Size of the data (14bit) being transferred streamed over the LVDS. ">HSI_HEADER_SIZE_14BIT</a> </dd>
<dd>
<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gab54947f1ab4da4767c65ef1fa8ca98b0" title="Size of the data (12bit) being transferred streamed over the LVDS. ">HSI_HEADER_SIZE_12BIT</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a5e9a1d8f98d5aec9a0e08be973740ddb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HSISDKHeader_t::dataType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This is the type of data being streamed. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gacc4e1b0356da811b43220aaa5446a114" title="Real data being streamed out. ">HSI_HEADER_TYPE_REAL</a> </dd>
<dd>
<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gae16d14d717a4d6bb8b68dcb1eb5ec6fe" title="Complex data being streamed out. ">HSI_HEADER_TYPE_COMPLEX</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a231ba98a6d1a82f39727863ad616f4b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HSISDKHeader_t::headerSize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>In order to ensure that the entire data is streamed out there are certain size alignments which need to be enforced. This is explained in more detail in the TRM. The size of the header is thus not <em>fixed</em> and could be padded to ensure alignment. The size is specified in CBUFF Units. </p>
<p>In order to get the padding size refer to the following helper function:- </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga62b0e756d9bddf997e9e7ca4d8cd4062">HSIHeader_getPaddingSize</a></dd></dl>
<p>Application developers can use the helper function to skip the header to get to the payload </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga1aac967add0d080358c0fc9dc1804718">HSIHeader_getPayload</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a505d6d6212786455a29d76f8737886b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HSISDKHeader_t::interleavedMode</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mode in which the data is being transferred. </p>
<ul>
<li>ADC Data can be Interleaved or Non-Interleaved</li>
<li>User data is always Non-interleaved</li>
</ul>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga8c7f29fe05c15862d83f0473255781bc" title="ADC Data is interleaved. ">HSI_HEADER_MODE_INTERLEAVED</a> </dd>
<dd>
<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga0ae063acff57fc0958a11efb2637064c" title="Data is non-interleaved. This is applicable for ADC while operating in non-interleaved mode and for a...">HSI_HEADER_MODE_NON_INTERLEAVED</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ae705e2f9d024ea752f7f9be4b2350a67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HSISDKHeader_t::platform</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Platform on which the HSI Header was generated. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#gacacf31f8a563fa7673c5dcbcb07be6cc" title="Platform is XWR14xx. ">HSI_PLATFORM_XWR14XX</a> </dd>
<dd>
<a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga00e09c4a30663ff47c4fe24a9168e1e6" title="Platform is XWR16xx. ">HSI_PLATFORM_XWR16XX</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ab2d6bdd31800d2ae3e2489c685521be2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HSISDKHeader_t::version</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Version of the mmWave SDK associated with the HSI Header. Refer to the following file mmwave_sdk_version.h for more information. The field is encoded as follows:-. </p>
<div class="fragment"><div class="line">11      9       6         3       0</div><div class="line">-----------------------------------</div><div class="line">| Major | Minor | Bug Fix | Build |</div><div class="line">-----------------------------------</div></div><!-- fragment --><p>Application developers can use the helper function to extract this information </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="group___h_s_i___h_e_a_d_e_r___p_r_o_t_o_c_o_l.html#ga535cba3c690295d0fb1d5f78f7670ff5">HSIHeader_getVersion</a> </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>utils/hsiheader/<a class="el" href="hsiprotocol_8h.html">hsiprotocol.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
